<?php 

$rcvd_data=filter_input_array(INPUT_GET, [
	'data'=>FILTER_SANITIZE_STRING,
	'dev_id'=>FILTER_SANITIZE_STRING
]);

if($rcvd_data!==FALSE && !is_null($rcvd_data)){
	$fp=fopen('test.txt', 'a+');

	fwrite($fp, implode(', ', [

		0=>date('Y-m-d h:i:s A', time()),
		1=>$rcvd_data['data'],
		2=>$rcvd_data['dev_id']

		]).PHP_EOL);	
}

echo "@00101#";die();